Bug 989948 - [abrt] yum-3.4.3-102.fc19: misc.py:952:unlink_f:OSError: [Errno 13] Permission denied: '/var/cache/yum/x86_64/19/rpmfusion-free-updates/gen/primary_db.sqlite'
[abrt] yum-3.4.3-102.fc19: misc.py:952:unlink_f:OSError: [Errno 13] Permissio...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:bd3bf0a739b85e48c527fdcdb8b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 04:04 EDT by Martin Pavlik
Modified: 2015-04-06 23:10 EDT (History)
7 users (show)

See Also:
Fixed In Version: yum-3.4.3-104.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-03 20:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.00 KB, text/plain)
2013-07-30 04:04 EDT, Martin Pavlik
no flags Details
File: core_backtrace (1.33 KB, text/plain)
2013-07-30 04:04 EDT, Martin Pavlik
no flags Details
File: environ (3.23 KB, text/plain)
2013-07-30 04:04 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2013-07-30 04:04:04 EDT
Version-Release number of selected component:
yum-3.4.3-102.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python -t /usr/share/yum-cli/completion-helper.py -d 0 -C list available python
executable:     /usr/share/yum-cli/completion-helper.py
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
misc.py:952:unlink_f:OSError: [Errno 13] Permission denied: '/var/cache/yum/x86_64/19/rpmfusion-free-updates/gen/primary_db.sqlite'

Traceback (most recent call last):
  File "/usr/share/yum-cli/completion-helper.py", line 95, in <module>
    main(sys.argv[1:])
  File "/usr/share/yum-cli/completion-helper.py", line 88, in main
    base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 532, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/completion-helper.py", line 52, in doCommand
    patterns=[get_pattern(extcmds)])
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2907, in doPackageLists
    avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1050, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 770, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 383, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 231, in populate
    db_un_fn = self._check_uncompressed_db_gen(repo, mydbtype)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 284, in _check_uncompressed_db_gen
    cached=repo.cache)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1162, in repo_gen_decompress
    return decompress(filename, dest=dest, check_timestamps=True)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1151, in decompress
    unlink_f(out)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 952, in unlink_f
    os.unlink(filename)
OSError: [Errno 13] Permission denied: '/var/cache/yum/x86_64/19/rpmfusion-free-updates/gen/primary_db.sqlite'

Local variables in innermost frame:
e: OSError(13, 'Permission denied')
filename: '/var/cache/yum/x86_64/19/rpmfusion-free-updates/gen/primary_db.sqlite'
Comment 1 Martin Pavlik 2013-07-30 04:04:09 EDT
Created attachment 780399 [details]
File: backtrace
Comment 2 Martin Pavlik 2013-07-30 04:04:14 EDT
Created attachment 780400 [details]
File: core_backtrace
Comment 3 Martin Pavlik 2013-07-30 04:04:18 EDT
Created attachment 780401 [details]
File: environ
Comment 4 Zdeněk Pavlas 2013-07-30 04:28:19 EDT
Thanks for the report!  Fixed in HEAD.
Comment 5 Fedora Update System 2013-07-30 05:46:17 EDT
yum-3.4.3-104.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-104.fc19
Comment 6 Fedora Update System 2013-08-01 23:26:34 EDT
Package yum-3.4.3-104.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-104.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13947/yum-3.4.3-104.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-03 20:10:51 EDT
yum-3.4.3-104.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.